Package org.apache.lucene.internal.hppc

# Class LongFloatHashMap.ValuesContainer

java.lang.Object
org.apache.lucene.internal.hppc.LongFloatHashMap.ValuesContainer

All Implemented Interfaces:
  `Iterable<FloatCursor>`

Enclosing class:
  `LongFloatHashMap`

public final class LongFloatHashMap.ValuesContainer extends Object implements Iterable<FloatCursor>
A view over the set of values of this map.

## Constructor Summary

Constructors
Constructor
Description
`ValuesContainer()`

## Method Summary

Modifier and Type
Method
Description
`Iterator<FloatCursor>`
`iterator()`
`int`
`size()`
`float[]`
`toArray()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ValuesContainer

public ValuesContainer()

## Method Details

### iterator

public Iterator<FloatCursor> iterator()

Specified by:
  `iterator` in interface `Iterable<FloatCursor>`

### size

public int size()

### toArray

public float[] toArray()